- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists the YouTube asset associations linked to the given resource.
HTTP request
GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/adGroups/{linkedEntity.adGroupId}/youtubeAssetTypes/{youtubeAssetType}/youtubeAssetAssociations
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser that the linked entity belongs to. |
Union parameter entity. The entity to associate with the YouTube asset. entity can be only one of the following: |
|
linkedEntity.adGroupId |
The ID of an ad group. |
youtubeAssetType |
Required. The type of YouTube asset being associated with the resource. |
Query parameters
| Parameters | |
|---|---|
Union parameter entity. The entity to associate with the YouTube asset. entity can be only one of the following: |
|
linkedEntity.lineItemId |
The ID of a line item. |
pageSize |
Optional. Requested page size. Must be between |
pageToken |
Optional. A token identifying a page of results the server should return. Typically, this is the value of |
orderBy |
Optional. Field by which to sort the list. The only acceptable values are:
The default sorting order is ascending. To specify descending order for a field, a suffix " desc" should be added to the field name. Example: |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of ListYoutubeAssetAssociationsResponse.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.